Issue 122025 - [sidebar] Unlabeled UNO commands
[sidebar] Unlabeled UNO commands
Status: RESOLVED FIXED
Product: General
Classification: Code
Component: code
4.0.0-dev
All All
: P3 normal (vote)
: 4.0.0
Assigned To: Oliver-Rainer Wittmann
:
Depends on:
Blocks: [sidebar]
  Show dependency treegraph
 
Reported: 2013-04-10 00:03 UTC by Ariel Constenla-Haile
Modified: 2013-04-17 15:19 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Ariel Constenla-Haile 2013-04-10 00:03:38 UTC
- New Writer document
- "Tools" - "Customize...", tab "Menus", button "Add..." to open the "Add Commands" dialog
- On the "Add Commands" dialog, select "View" under "Category" on the left

Under "Commands", on the right, you see a UNO commands without a label: .uno:SwPageColumn.

The following commands seem to be unlabeled:

Draw/Impress
.uno:CurrentBulNumRule
.uno:CurrentNumNumRule
.uno:FillTransparence 
.uno:FontDialogEff    
.uno:LineCap          
.uno:LineJoint        
.uno:LineTransparence 
.uno:ParaOutlineLeft  
.uno:ParaOutlineRight 
.uno:ProtectPos       
.uno:ProtectSize      
.uno:SvxAutoWidth     
.uno:SvxFlipHorizontal
.uno:SvxFlipVertical  
.uno:TransAngle       
.uno:TransRotX        
.uno:TransRotY        

Calc
.uno:FillTransparence 
.uno:FontDialogEff    
.uno:LineCap          
.uno:LineJoint        
.uno:LineTransparence 
.uno:NumberType       
.uno:ProtectPos       
.uno:ProtectSize      
.uno:SCDialogBorder   
.uno:SvxAutoWidth     
.uno:SvxFlipHorizontal
.uno:SvxFlipVertical  
.uno:TransAngle       
.uno:TransRotX        
.uno:TransRotY        
.uno:ViewOption       

Writer
.uno:CurrentBulNumRule
.uno:CurrentNumNumRule
.uno:FillTransparence 
.uno:FontDialogEff    
.uno:LineCap          
.uno:LineJoint        
.uno:LineTransparence 
.uno:ObjectWrapDialog 
.uno:PageSettingDialog
.uno:ProtectPos       
.uno:ProtectSize      
.uno:SvxFlipHorizontal
.uno:SvxFlipVertical  
.uno:SwPageColumn     
.uno:TransAngle       
.uno:TransRotX        
.uno:TransRotY        


Possible solutions
==================

a) if a command isn't supposed to be added to a toolbar/menu via customization, then this can be marked in the shell interface definition with

ToolBoxConfig = FALSE
MenuConfig = FALSE

b) if a command is supposed to be added to a customized toolbar/menu, then it must have a label.
Labels for UNO commands are defined in <Module>Commands.xcu, under main/officecfg/registry/data/org/openoffice/Office/UI
Please note that:
* if a command is in more than one module, add it to GenericCommands.xcu
* add commands under the right category (Commands or Popups)
* add commands respecting the alphabetical order, this makes easier to avoid duplicated commands later on

c) Nice-to-have: UNO commands should be bound to documentation in helpcontent2
Comment 1 Oliver-Rainer Wittmann 2013-04-15 15:16:55 UTC
I will work on this issue by providing corresponding names for the new UNO commands (where appropriate) and disabling them by default, because it is currently not intended to have them available for menus and toolbars.
Comment 2 SVN Robot 2013-04-17 12:55:50 UTC
"orw" committed SVN revision 1468878 into trunk:
122025: - UNO commands introduced with sidebar: apply labels and disable them...
Comment 3 Oliver-Rainer Wittmann 2013-04-17 14:55:20 UTC
solved on trunk for AOO 4.0
Comment 4 SVN Robot 2013-04-17 15:13:47 UTC
"orw" committed SVN revision 1468957 into trunk:
122025: followup - remove usage of removed Slot
Comment 5 Oliver-Rainer Wittmann 2013-04-17 15:19:12 UTC
forgot to check in the needed changes in module sd - sorry